Subject: Re: [mobile-ip] Unresolved issue #5: Alternate CoA

From: Erik Nordmark <[email-masked]>
Date: Wed, 17 Apr 2002 04:47:47 +0200 (CEST)

> Text: State the following under 5.1.7:
> The care-of address for the binding given in the Binding Update
> message is normally that which was received as the value in the Source
> Address field in the IPv6 header of the packet carrying the Binding
> Update message. However, a care-of address different from the Source
> Address MAY be specified by including an Alternate Care-of Address
> option in the Binding Update message. When such message is sent to
> the correspondent node, the Care-of Test Init and Care-of Test
> messages MUST have been performed for the address in the Alternate
> Care-of Address option (not the Source Address). The contents of
> the Nonce Indices and the Authenticator options MUST be based on
> information gained in this test.

It would be useful to also put some text in section 8.2 to
point out that when alt-coa is used the Care-of cookie needs to
match it and not the IP source address of the BU.

  Erik